package com.chenyang.druid.sql.ast.statement;

import com.chenyang.druid.sql.ast.SQLObjectImpl;
import com.chenyang.druid.sql.ast.expr.SQLIntegerExpr;
import com.chenyang.druid.sql.visitor.SQLASTVisitor;
import java.util.ArrayList;
import java.util.List;

public class SQLAlterTableSubpartitionLifecycle extends SQLObjectImpl implements SQLAlterTableItem {
   private List<SQLIntegerExpr> partitionIds = new ArrayList();
   private List<SQLIntegerExpr> subpartitionLifeCycle = new ArrayList();

   protected void accept0(SQLASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.partitionIds);
         this.acceptChild(visitor, this.subpartitionLifeCycle);
      }

      visitor.endVisit(this);
   }

   public List<SQLIntegerExpr> getPartitionIds() {
      return this.partitionIds;
   }

   public void setPartitionIds(List<SQLIntegerExpr> partitionIds) {
      this.partitionIds = partitionIds;
   }

   public List<SQLIntegerExpr> getSubpartitionLifeCycle() {
      return this.subpartitionLifeCycle;
   }

   public void setSubpartitionLifeCycle(List<SQLIntegerExpr> subpartitionLifeCycle) {
      this.subpartitionLifeCycle = subpartitionLifeCycle;
   }
}
